New Ory Agent Security is now live! Claim your complimentary test drive. Get Started!

Skip to main content

List All Sessions

GET 

/admin/sessions

Listing all sessions that exist.

SDK ReferenceTypeScript
listSessions()
ParametersTypeRequiredDescription
pageSizenumberoptionalItems per Page This is the number of items per page to return. For details on pagination please head over to the pagination documentation.
pageTokenstringoptionalNext Page Token The next page token. For details on pagination please head over to the pagination documentation.
activebooleanoptionalActive is a boolean flag that filters out sessions based on the state. If no value is provided, all sessions are returned.
expandArray<'identity' | 'devices' | '11184809'>optionalExpandOptions is a query parameter encoded list of all properties that must be expanded in the Session. If no value is provided, the expandable properties are skipped.
VariableType
dataArray<Session>